Help Instance Help

View List of Accounts

Returns list of Accounts for given Customer

Endpoint

Request Type

URL

GET

https://{EnvironmentURL}/api/core/customers/{customerId}/accounts

Headers

No headers

Request parameters

Path parameters

Parameter

Type

Mandatory

Description

customerId

uuid

Yes

Identifier of Customer, owner of the Account

Query parameters

Parameter

Type

Mandatory

Description

pageNumber

int

No

Pagination parameter

pageSize

int

No

Pagination parameter

Responses

200 OK - Success

Body - JSON

Wrapper - Paginated Response

Parameter

Type

Mandatory

Description

value

object

No

Successful response

value.pageNumber

int

Yes

Pagination parameter

value.pageSize

int

Yes

Pagination parameter

value.total

int

Yes

Total number of objects in the list

value.data

object

Yes

Response

isSuccess

boolean

Yes

Success flag

isCancelled

boolean

Yes

Cancellation flag

errors

objects array

No

Errors details

error.code

string

No

Error code

error.description

string

No

Error description

error.data

object

No

Additional data for error

Data - Collection of Account entity

Name

Type

Mandatory

Description

id

uuid

Yes

Identifier of the Account

baseCurrencyCode

string

Yes

Base currency of the Account.

Current possible values:

  • usd

  • gbp

  • eur

type

string

Yes

Type of the Account.

Current possible values:

  • payments

  • operating

  • mmb

  • segregated

identification

object

No

Collection of identifications of the Account

title

string

No

Title set by User

sortOrder

int

Yes

Sort order for pagination

bankName

string

No

Name of the bank, if applicable

bankAddress

string

No

Address of the bank, if applicable

bankId

uuid

No

Identifier of the bank, if applicable

currentAmount

object

No

Total Balance of the Account. Object of type Amount.

currentAmount.currencyCode

string

Yes

Currency of the balance.

Current possible values:

  • usd

  • gbp

  • eur

currentAmount.value

double

Yes

Value of the Balance

availableAmount

object

No

Available balance of the Account. Object of type Amount.

availableAmount.currencyCode

string

Yes

Currency of the balance.

Current possible values:

  • usd

  • gbp

  • eur

availableAmount.value

double

Yes

Value of the Balance

Identifications

Name

Type

Mandatory

Id

uuid

Yes

Type = iban

iban

string

Yes

Type = sortcode

accountNumber

string

Yes

sortCode

string

Yes

iban

string

No

bban

string

No

401 - Unauthorized

No Body

Last modified: 19 января 2024